#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    string c;
    int a1,a2;
    cin>>c>>a1>>a2;
    if(abs(a1-a2)>1)
        cout<<"nemoguce";
    else{
        if(a1>=a2){
            for(int i=0;i<a1+a2;i++){
                if(i%2==0)
                    cout<<c[0];
                else
                    cout<<c[1];
            }
        }
        else{
            for(int i=0;i<a1+a2;i++){
                if(i%2==0)
                    cout<<c[1];
                else
                    cout<<c[0];
            }
        }
    }
    return 0;
}